Get Part
Gets a part's information.
Required scopes:
Depends on the object type in the id field:
| type | required scope |
|---|---|
| capability | capability:read OR capability:write OR capability:all |
| enhancement | enhancement:read OR enhancement:write OR enhancement:all |
| feature | feature:read OR feature:write OR feature:all |
| product | product:read OR product:write OR product:all |
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
The ID of the part to retrieve.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/parts.get?id=PROD-12345"{
"part": {
"type": "capability",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"artifacts": [
{
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
}
],
"custom_fields": {},
"custom_schema_fragments": [
"don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id"
],
"description": "string",
"name": "string",
"owned_by": [
{
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
}
],
"stock_schema_fragment": "don:core:dvrv-us-1:devo/example:custom_type_fragment/custom-type-fragment-id",
"subtype": "string",
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"tags": [
{
"tag": {
"display_id": "string",
"id": "string",
"name": "string",
"style_new": {
"color": "string"
},
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"value": "string"
}
]
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Get Part (POST) POST
Gets a [part's](https://devrev.ai/docs/product/parts) information. **Required scopes:** Depends on the object type in the `id` field: | type | required scope | |---|---| | capability | `capability:read` OR `capability:write` OR `capability:all` | | enhancement | `enhancement:read` OR `enhancement:write` OR `enhancement:all` | | feature | `feature:read` OR `feature:write` OR `feature:all` | | product | `product:read` OR `product:write` OR `product:all` |
List Parts (POST) POST
Lists a collection of [parts](https://devrev.ai/docs/product/parts). **Required scopes:** Depends on the object type in the `id` field: | type | required scope | |---|---| | capability | `capability:read` OR `capability:write` OR `capability:all` | | enhancement | `enhancement:read` OR `enhancement:write` OR `enhancement:all` | | feature | `feature:read` OR `feature:write` OR `feature:all` | | product | `product:read` OR `product:write` OR `product:all` |